<div style="margin-top: 60px">
    <div class="row"
         style="padding: 0;margin: 0">
        <div class="col-md-2 sidebar">
            <%- partial('../admin/sidebar.ejs') %>
        </div>
        <div class="col-md-10">
            <div style="margin-left: 50px;margin-right: 50px">
                <h1 class="page-header">Manage Health Units</h1>
                <% if (healthUnits.length > 0) { %>
                <div class="row">
                    <div class="panel panel-primary filterable">
                        <div class="panel-heading">
                            <h1 class="panel-title">All Health Units</h1>
                            <div class="pull-right">
                                <button class="btn btn-default btn-xs btn-filter"><span class="glyphicon glyphicon-filter"></span> Filter</button>
                            </div>
                        </div>
                        <div class="panel-body">
                            <table class="table">
                                <thead>
                                <tr class="filters">
                                    <th><input type="text"
                                               class="form-control"
                                               placeholder="Name"
                                               disabled></th>
                                    <th><input type="text"
                                               class="form-control"
                                               placeholder="Address"
                                               disabled></th>
                                    <th><input type="text"
                                               class="form-control"
                                               placeholder="City"
                                               disabled></th>
                                    <th><input type="text"
                                               class="form-control"
                                               placeholder="State"
                                               disabled></th>
                                </tr>
                                </thead>
                                <tbody>
                                <% for(var i = 0; i < healthUnits.length; i++) { %>
                                <tr>
                                    <td><%= healthUnits[i].name %></td>
                                    <td><%= healthUnits[i].address %></td>
                                    <td><%= healthUnits[i].city %></td>
                                    <td><%= healthUnits[i].state %></td>
                                    <td>
                                        <a href="health_units/delete/<%= healthUnits[i].id %>"
                                           title="Delete"
                                           class="btn btn-danger btn-sm"><i class="glyphicon glyphicon-remove-sign"></i></a>
                                    </td>
                                </tr>
                                <% } %>
                                </tbody>
                            </table>
                        </div>
                        <div class="panel-footer">
                            <button class="btn btn-primary btn-lg"
                                    data-toggle="modal"
                                    data-target="#import_heath_unit_csv_modal">
                                <i class="glyphicon glyphicon-plus"></i>
                                Import CSV
                            </button>
                        </div>
                    </div>
                </div>
                <% } else { %>
                <div class="row">
                    <div class="alert alert-info"
                         role="alert"><strong>Data is empty.</strong> Add some health units first.</div>
                    <button class="btn btn-primary btn-lg"
                            data-toggle="modal"
                            data-target="#import_heath_unit_csv_modal">
                        <i class="glyphicon glyphicon-plus"></i>
                        Import CSV
                    </button>
                </div>
                <% } %>
                <%- partial('../partials/flash.ejs') %>
            </div>
        </div>
    </div>
</div>


<div class="modal fade"
    id="import_heath_unit_csv_modal">
   <div class="modal-dialog">
       <div class="modal-content">
           <div class="modal-header">
               <button type="button"
                       class="close"
                       data-dismiss="modal"
                       aria-label="Close"><span aria-hidden="true">&times;</span></button>
               <h4 class="modal-title">Import CSV</h4>
           </div>
           <form action="/health_units/parse"
             enctype="multipart/form-data" method="post">
               <div class="modal-body">
                   <div class="form-group">
                       <label for="file"> Select a file to upload</label>
                       <input type="file" name="file" value="file" id="file">
                   </div>
               </div>
               <div class="modal-footer">
                   <button type="submit"
                           class="btn btn-success">Import</button>
               </div>
           </form>
       </div><!-- /.modal-content -->
   </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
